Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.util
Class ConnectorParamReader

    java.lang.Object
      com.sun.mdm.index.util.ConnectorParamReader

public class ConnectorParamReader
extends java.lang.Object

Reader of connector.properties

Field Summary
`static java.lang.String` | `APPLICATION_INSTANCE_NAME` Application instance name
`static java.lang.String` | `ENVIRONMENT_NAME` environment name
`static java.lang.String` | `INTEGRATION_SERVER_NAME` integration server name
`static java.lang.String` | `JNDI_INIT_CONTEXT_FACTORY` jndi initial context factory
`static java.lang.String` | `JNDI_PROVIDER_URL` jndi provider url
`static java.lang.String` | `LOGICAL_HOST_NAME` logical host name
`static java.lang.String` | `PRIMARY_OBJECT_INSTANCE_NAME` primary object name
`static java.lang.String` | `PROJECT_NAME` project name
`static java.lang.String` | `PROPERTY_FILE_NAME` File name of connector properties file used by EDM and Collab war/jar to get MC connectivity information

Method Summary
`static java.lang.String` | `getApplicationInstance()` Get Object Type using property file in classpath.
`static java.lang.String` | `getApplicationInstance(java.util.Properties props)` Get Object Type using given property file .
`static java.lang.String` | `getApplicationName()` Get Application name.
`static java.lang.String` | `getEnvironmentName()` Get environment name using given property file.
`static java.lang.String` | `getEnvironmentName(java.util.Properties props)` Get environment name using given property file.
`static java.lang.String` | `getInitialContextFactory()` Get JNDI Initial Context Factory using property file in classpath.
`static java.lang.String` | `getInitialContextFactory(java.util.Properties props)` Get JNDI Initial Context Factory using given property file.
`static java.lang.String` | `getIntegrationServerName()` Get integration server name using given property file.
`static java.lang.String` | `getIntegrationServerName(java.util.Properties props)` Get integration server name using given property file.
`static java.lang.String` | `getLogicalHostName()` Get logical host name using given property file.
`static java.lang.String` | `getLogicalHostName(java.util.Properties props)` Get logical host name using given property file.
`static java.lang.String` | `getPrimaryObjectInstance()` Get instance of the primary object using property file in classpath.
`static java.lang.String` | `getPrimaryObjectInstance(java.util.Properties props)` Get Object Type using given property file.
`static java.lang.String` | `getPrimaryObjectName()` Get object name, such as Person, Company etc.
`static java.lang.String` | `getProjectName()` Get project name using given property file.
`static java.lang.String` | `getProjectName(java.util.Properties props)` Get project name using given property file.
`static java.lang.String` | `getProviderUrl()` Get JNDI URL using property file in classpath.
`static java.lang.String` | `getProviderUrl(java.util.Properties props)` Get JNDI URL using given property file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_INSTANCE_NAME

    public static final java.lang.String APPLICATION_INSTANCE_NAME

  Application instance name

  See Also:
    Constant Field Values

### ENVIRONMENT_NAME

    public static final java.lang.String ENVIRONMENT_NAME

  environment name

  See Also:
    Constant Field Values

### INTEGRATION_SERVER_NAME

    public static final java.lang.String INTEGRATION_SERVER_NAME

  integration server name

  See Also:
    Constant Field Values

### JNDI_INIT_CONTEXT_FACTORY

    public static final java.lang.String JNDI_INIT_CONTEXT_FACTORY

  jndi initial context factory

  See Also:
    Constant Field Values

### JNDI_PROVIDER_URL

    public static final java.lang.String JNDI_PROVIDER_URL

  jndi provider url

  See Also:
    Constant Field Values

### LOGICAL_HOST_NAME

    public static final java.lang.String LOGICAL_HOST_NAME

  logical host name

  See Also:
    Constant Field Values

### PRIMARY_OBJECT_INSTANCE_NAME

    public static final java.lang.String PRIMARY_OBJECT_INSTANCE_NAME

  primary object name

  See Also:
    Constant Field Values

### PROJECT_NAME

    public static final java.lang.String PROJECT_NAME

  project name

  See Also:
    Constant Field Values

### PROPERTY_FILE_NAME

    public static final java.lang.String PROPERTY_FILE_NAME

  File name of connector properties file used by EDM and Collab war/jar to get MC connectivity information

  See Also:
    Constant Field Values

Method Detail

### getApplicationInstance

    public static java.lang.String getApplicationInstance()

  Get Object Type using property file in classpath.

  Returns:
    Object Type

### getApplicationInstance

    public static java.lang.String getApplicationInstance(java.util.Properties props)

  Get Object Type using given property file .

  Parameters:
    `props` - property file
  Returns:
    Object Type

### getApplicationName

    public static java.lang.String getApplicationName()

  Get Application name.

  Returns:
    application name.

### getEnvironmentName

    public static java.lang.String getEnvironmentName()

  Get environment name using given property file.

  Returns:
    Environment name.

### getEnvironmentName

    public static java.lang.String getEnvironmentName(java.util.Properties props)

  Get environment name using given property file.

  Parameters:
    `props` - Property file
  Returns:
    Environment name.

### getInitialContextFactory

    public static java.lang.String getInitialContextFactory()

  Get JNDI Initial Context Factory using property file in classpath.

  Returns:
    JNDI Initial Context Factory.

### getInitialContextFactory

    public static java.lang.String getInitialContextFactory(java.util.Properties props)

  Get JNDI Initial Context Factory using given property file.

  Parameters:
    `props` - Property file.
  Returns:
    JNDI Initial Context Factory.

### getIntegrationServerName

    public static java.lang.String getIntegrationServerName()

  Get integration server name using given property file.

  Returns:
    Integration server name.

### getIntegrationServerName

    public static java.lang.String getIntegrationServerName(java.util.Properties props)

  Get integration server name using given property file.

  Parameters:
    `props` - Property file.
  Returns:
    Integration server name.

### getLogicalHostName

    public static java.lang.String getLogicalHostName()

  Get logical host name using given property file.

  Returns:
    Logical host name.

### getLogicalHostName

    public static java.lang.String getLogicalHostName(java.util.Properties props)

  Get logical host name using given property file.

  Parameters:
    `props` - Property file.
  Returns:
    Logical host name.

### getPrimaryObjectInstance

    public static java.lang.String getPrimaryObjectInstance()

  Get instance of the primary object using property file in classpath.

  Returns:
    Instance of the primary object.

### getPrimaryObjectInstance

    public static java.lang.String getPrimaryObjectInstance(java.util.Properties props)

  Get Object Type using given property file.

  Parameters:
    `props` - Property file.
  Returns:
    Name of the primary object instance.

### getPrimaryObjectName

    public static java.lang.String getPrimaryObjectName()

  Get object name, such as Person, Company etc.

  Returns:
    Primary object name.

### getProjectName

    public static java.lang.String getProjectName()

  Get project name using given property file.

  Returns:
    Project name.

### getProjectName

    public static java.lang.String getProjectName(java.util.Properties props)

  Get project name using given property file.

  Parameters:
    `props` - Property file.
  Returns:
    Project name.

### getProviderUrl

    public static java.lang.String getProviderUrl()

  Get JNDI URL using property file in classpath.

  Returns:
    JNDI URL.

### getProviderUrl

    public static java.lang.String getProviderUrl(java.util.Properties props)

  Get JNDI URL using given property file.

  Parameters:
    `props` - Property file.
  Returns:
    JNDI URL.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.